Retrieve work order items from storage (where work_orders.receivable_type IS NULL) for the authenticated 3PL customer.
GET
/v1/marketplace_work_orders
curl \
--request GET 'https://api.pattern.com/hub/v1/marketplace_work_orders' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
{
"work_order_id": 42,
"items": [
{
"work_order_item_created_time": "string",
"work_order_item_id": 42,
"listing_sku": "string",
"listing_marketplace": "string",
"listing_country": "string",
"original_quantity": 42,
"quantity": 42,
"processed_quantity": 42,
"shipped_quantity": 42,
"status": "Open",
"shipped_unit_exp_dates": "2026-05-04",
"shipped_unit_lots": "string",
"fba_shipment_ids": [
"string"
],
"inventory_transactions": [
{
"id": 42,
"event": "string",
"created_at": "string",
"inventory_movements": [
{
"quantity": 42,
"status": "string",
"sku": "string",
"part_number": "string"
}
]
}
]
}
]
}
]